net.minecraft.client.entity

## Class AbstractClientPlayer

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.player.EntityPlayer
      - - net.minecraft.client.entity.AbstractClientPlayer

- All Implemented Interfaces:
    ICommandSender
  Direct Known Subclasses:
    EntityOtherPlayerMP, EntityPlayerSP

      public abstract class AbstractClientPlayer
      extends EntityPlayer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.player.EntityPlayer

      `EntityPlayer.EnumChatVisibility, EntityPlayer.EnumStatus`

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ResourceLocation` | `locationStevePng`

    - ### Fields inherited from class net.minecraft.entity.player.EntityPlayer

      `cameraYaw, capabilities, experience, experienceLevel, experienceTotal, eyeHeight, field_71079_bU, field_71082_cx, field_71085_bR, field_71089_bV, field_71091_bM, field_71094_bP, field_71095_bQ, field_71096_bN, field_71097_bO, fishEntity, flyToggleTimer, foodStats, inventory, inventoryContainer, openContainer, PERSISTED_NBT_TAG, playerLocation, prevCameraYaw, sleeping, speedInAir, speedOnGround, xpCooldown`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientPlayer(World p_i45074_1_, com.mojang.authlib.GameProfile p_i45074_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCapeUrl(java.lang.String par0Str)`
    `static ThreadDownloadImageData` | `getDownloadImageCape(ResourceLocation par0ResourceLocation, java.lang.String par1Str)`
    `static ThreadDownloadImageData` | `getDownloadImageSkin(ResourceLocation par0ResourceLocation, java.lang.String par1Str)`
    `ResourceLocation` | `getLocationCape()`
    `static ResourceLocation` | `getLocationCape(java.lang.String par0Str)`
    `ResourceLocation` | `getLocationSkin()`
    `static ResourceLocation` | `getLocationSkin(java.lang.String par0Str)`
    `static ResourceLocation` | `getLocationSkull(java.lang.String par0Str)`
    `static java.lang.String` | `getSkinUrl(java.lang.String par0Str)`
    `ThreadDownloadImageData` | `getTextureCape()`
    `ThreadDownloadImageData` | `getTextureSkin()`
    `protected void` | `setupCustomSkin()`

    - ### Methods inherited from class net.minecraft.entity.player.EntityPlayer

      `addChatComponentMessage, addExhaustion, addExperience, addExperienceLevel, addMovementStat, addScore, addStat, addToPlayerScore, applyEntityAttributes, attackEntityFrom, attackTargetEntityWithCurrentItem, canAttackPlayer, canEat, canHarvestBlock, canPlayerEdit, canTriggerWalking, clearItemInUse, clonePlayer, closeScreen, damageArmor, damageEntity, destroyCurrentEquippedItem, displayGUIAnvil, displayGUIBook, displayGUIChest, displayGUIEnchantment, displayGUIHopperMinecart, displayGUIHorse, displayGUIMerchant, displayGUIWorkbench, dropOneItem, dropPlayerItemWithRandomChoice, entityInit, fall, func_145748_c_, func_146067_o, func_146093_a, func_146094_a, func_146095_a, func_146097_a, func_146098_a, func_146100_a, func_146101_a, func_146102_a, func_146104_a, getAbsorptionAmount, getAIMoveSpeed, getAlwaysRenderNameTagForRender, getArmorVisibility, getBedLocation, getBedLocation, getBedOrientationInDegrees, getBreakSpeed, getBreakSpeed, getCommandSenderName, getCurrentArmor, getCurrentEquippedItem, getCurrentPlayerStrVsBlock, getDeathSound, getDefaultEyeHeight, getDisplayName, getEntityWorld, getEquipmentInSlot, getExperiencePoints, getEyeHeight, getFoodStats, getGameProfile, getHeldItem, getHideCape, getHideCape, getHurtSound, getInventoryEnderChest, getItemIcon, getItemInUse, getItemInUseCount, getItemInUseDuration, getLastActiveItems, getMaxInPortalTime, getPortalCooldown, getPosition, getScore, getSleepTimer, getSplashSound, getSwimSound, getTeam, getTotalArmorValue, getWorldScoreboard, getYOffset, handleHealthUpdate, interactWith, isBlocking, isCurrentToolAdventureModeExempt, isEntityInsideOpaqueBlock, isInvisibleToPlayer, isMovementBlocked, isPlayer, isPlayerFullyAsleep, isPlayerSleeping, isPushedByWater, isSpawnForced, isSpawnForced, isUsingItem, joinEntityItemWithWorld, jump, mountEntity, moveEntityWithHeading, onCriticalHit, onDeath, onEnchantmentCritical, onItemUseFinish, onKillEntity, onLivingUpdate, onUpdate, openGui, playSound, preparePlayerToSpawn, readEntityFromNBT, refreshDisplayName, resetHeight, respawnPlayer, sendPlayerAbilities, setAbsorptionAmount, setCurrentItemOrArmor, setDead, setGameType, setHideCape, setInWeb, setItemInUse, setScore, setSpawnChunk, setSpawnChunk, shouldHeal, sleepInBedAt, stopUsingItem, triggerAchievement, updateEntityActionState, updateItemUse, updateRidden, verifyRespawnCoordinates, wakeUpPlayer, writeEntityToNBT, xpBarCap`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, attackEntityAsMob, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, decreaseAirSupply, dismountEntity, dropEquipment, dropFewItems, dropRareDrop, func_110142_aN, func_110146_f, func_142015_aE, func_146066_aG, func_94060_bK, getActivePotionEffect, getActivePotionEffects, getAge, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getHealth, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getRNG, getRotationYawHead, getSoundPitch, getSoundVolume, getSwingProgress, heal, isAIEnabled, isChild, isClientWorld, isEntityAlive, isEntityUndead, isOnLadder, isOnSameTeam, isOnTeam, isPotionActive, isPotionActive, isPotionApplicable, kill, knockBack, onChangedPotionEffect, onDeathUpdate, onEntityUpdate, onFinishedPotionEffect, onItemPickup, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateAITasks, updateAITick, updateArmSwingProgress, updateFallState, updatePotionEffects`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getTeleportDirection, getUniqueID, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onStruckByLightning, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSize, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.command.ICommandSender

      `addChatMessage, canCommandSenderUseCommand, getPlayerCoordinates`

- - ### Field Detail

    - #### locationStevePng

          public static final ResourceLocation locationStevePng

  - ### Constructor Detail

    - #### AbstractClientPlayer

          public AbstractClientPlayer(World p_i45074_1_,
                              com.mojang.authlib.GameProfile p_i45074_2_)

  - ### Method Detail

    - #### setupCustomSkin

          protected void setupCustomSkin()

    - #### getTextureSkin

          public ThreadDownloadImageData getTextureSkin()

    - #### getTextureCape

          public ThreadDownloadImageData getTextureCape()

    - #### getLocationSkin

          public ResourceLocation getLocationSkin()

    - #### getLocationCape

          public ResourceLocation getLocationCape()

    - #### getDownloadImageSkin

          public static ThreadDownloadImageData getDownloadImageSkin(ResourceLocation par0ResourceLocation,
                                                     java.lang.String par1Str)

    - #### getDownloadImageCape

          public static ThreadDownloadImageData getDownloadImageCape(ResourceLocation par0ResourceLocation,
                                                     java.lang.String par1Str)

    - #### getSkinUrl

          public static java.lang.String getSkinUrl(java.lang.String par0Str)

    - #### getCapeUrl

          public static java.lang.String getCapeUrl(java.lang.String par0Str)

    - #### getLocationSkin

          public static ResourceLocation getLocationSkin(java.lang.String par0Str)

    - #### getLocationCape

          public static ResourceLocation getLocationCape(java.lang.String par0Str)

    - #### getLocationSkull

          public static ResourceLocation getLocationSkull(java.lang.String par0Str)